Precisely position a view

Hello everyone,

Anyone have a trick to position a view precisely?

The goal is to place an ISO view in exactly the same place on 5 folios (to avoid having the view move with the scrolling of the pages in PDF).

Thank you and have a good day!

You can copy and paste the iso view onto each sheet. The view is set up in the same place.

 

Edit: OOPS it doesn't work anymore apparently... :/

3 Likes

Hello

One solution would be to duplicate the sheet after the view is inserted, and then change the template afterwards.

Make a drawing with a preset view by inserting an iso view.

 

And save as a template.

 

Here is an example


vue_predefinie.png
1 Like

Ditto Benoi.LF does it work for me!!!

1 Like

Thank you, is it surprising that there is no X Y positioning?

2 Likes

Sorry but I can't start my FOLIOS again.

 

1 Like

With preset views, everything updates automatically.

 

No need to redo everything....

 


Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()
    On Error Resume Next
    Dim swApp As SldWorks.SldWorks
    Set swApp = Application.SldWorks
    If Not swApp Is Nothing Then
        Dim Part As SldWorks.ModelDoc2
        Set Part = swApp.ActiveDoc
        
        Sun swSelMgr As SldWorks.SelectionMgr
        Set swSelMgr = Part.SelectionManager()
        
        If Not Part Is Nothing And Not swSelMgr Is Nothing Then
            boolstatus = Part.ActivateView("Detail View A (4:1)")
            boolstatus = Part.Extension.SelectByID2("Detail View A (4:1)", "DRAWINGVIEW", 0.3567189637584, 0.2569348080537, 0, False, 0, Nothing, 0)
            Dim swView As SldWorks.View
            Set swView = swSelMgr.GetSelectedObject6(1, -1)
            If Not swView Is Nothing Then
                Dim vArr as variant
                vArr = swView.Position
                
                Call MsgBox("Current View Coordinates: X = " & vArr(0) * 1000 & "mm, Y = " & vArr(1) * 1000 & "mm")
                
                vArr(0) = 0.37  '' moving X axis
                swView.Position = vArr
                vArr(1) = 0.25 '' moving Y axis
                swView.Position = vArr
                Call Part.EditRebuild3
                Call MsgBox("Current View Coordinates: X = " & vArr(0) * 1000 & "mm, Y = " & vArr(1) * 1000 & "mm")
            End If
            Set swView = Nothing
        End If
        Set swSelMgr = Nothing
        Set Part = Nothing
    End If
    Set swApp = Nothing
    If Err.Number <> 0 Then Err.Clear
End Sub

 

 

1 Like

Hello

1- You copy your folio (including your ISO view)

2- You drag your new ISO view to the folio you want in the tree

3- You delete your useless folio copy

 

Your new view will automatically move to the same place as on the original folio.


capture.jpg
2 Likes

You have to do as for 2D, display the grid

 

A+